linux-firmware-raspi (12-0ubuntu1) noble; urgency=medium

  * Add missing Bluetooth firmware for Pi 3B and Zero 2W (LP: #2060850)
  * Add missing model links for Bluetooth firmwares

 -- Dave Jones <dave.jones@canonical.com>  Wed, 10 Apr 2024 22:46:32 +0100

linux-firmware-raspi (11-0ubuntu1) noble; urgency=medium

  * New upstream boot firmware (LP: #2056588)
    - Add [pi5] to config.txt on 2711 and earlier platforms
    - Add support for the HAT map
    - video_decode: Add support for 32bpp RGB conversion
    - Fix non-standard console UARTs
    - Improve UART console selection
    - Set WiFi MAC address if all zeroes
    - Use os_prefix when looking for stubs
    - Don't overwrite kernel path, check before loading stub
    - Move non-kernels back to 512KB (u-boot fix)
    - Add HAT+ support
    - Add Compute Module 5 model info string
    - Handle SFN-only entries in FAT correctly (LP: #2046841)
  * New upstream wifi firmware, 1:20230625-2+rpt2
    - Use a generic CYW43455 firmware
    - Add Pi 5-specific links to the 43455 firmware
  * New upstream bluetooth firmware, 1.2-9+rpt2
    - Import 43456 firmware: Fix BLE advertising on new phones
    - More model-specific firmware links
  * Use dh_links to create symlinks

 -- Dave Jones <dave.jones@canonical.com>  Fri, 08 Mar 2024 17:03:45 +0000

linux-firmware-raspi (10-0ubuntu1) mantic; urgency=medium

  * New upstream boot firmware, 1.20230405 (LP: #2037634)
    - clocks: Replace m2mc with hdmi for state machine clock on 2711
    - gencmd: Add a fallback to mailbox interface if vchiq is not available
    - Added links for 5-model-b
  * New upstream wifi firmware, 1:20230210-5~bpo11+1+rpt1
    - There are no changes in the WiFi blobs with this release; they are the
      same firmware blobs as in the prior release
    - Several new model-specific aliases are added to address blob loading on
      the Pi Zero 2W particularly (and some variants of the Compute Module 4)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 25 Aug 2023 11:34:47 +0100

linux-firmware-raspi (9-0ubuntu1) lunar; urgency=medium

  * New upstream boot firmware, 1.20230306
    - Fixes issue with long pathnames when using os_prefix option
      (https://github.com/raspberrypi/firmware/issues/1720)
    - vcgencmd display_power and camera_auto_detect fixes (LP: #2009826)
    - Pi Zero 2W wifi issues
      (https://github.com/raspberrypi/firmware/issues/1723)
    - Lost frames in bcm2835-v4l2-codec
      (https://github.com/raspberrypi/linux/issues/5059)
    - Fix GET_CLOCKS to not overwrite client buffer
      (https://github.com/raspberrypi/firmware/issues/1688)
    - Fix initramfs on NVMe boot
      (https://github.com/raspberrypi/firmware/issues/1731)
    - Fix initial GPIO expander state
      (https://github.com/raspberrypi/linux/issues/5107)
    - Fix failover to secondary PMIC interface functions
      (https://forums.raspberrypi.com/viewtopic.php?t=338429)
    - Never set the warranty bit
      (https://github.com/raspberrypi/firmware/issues/1741)
    - Support [cm4s] conditional sections
    - Restore VEC and PIXEL clocks after HDMI domain power cycle
      (https://github.com/raspberrypi/linux/issues/4962)
    - Fix silent truncation of oversized secure-boot ramdisk
      (https://github.com/raspberrypi/rpi-eeprom/issues/375)
    - Fix initrd load failure due to camera-autodetection changes
      (https://github.com/raspberrypi/firmware/issues/1750)
    - Fix eth0 disabled on Pi 400
      (https://github.com/raspberrypi/firmware/issues/1754)
    - Add tryboot A_B mode
    - Add all, none, tryboot sections to autoboot.txt
    - HAT EEPROM support for GPIO bank 1
      (https://github.com/raspberrypi/firmware/issues/1756)
    - Use new SDHCI controller instead of legacy arasan
      (https://github.com/raspberrypi/firmware/issues/1763)
    - Fix boot hang with hdmi_ignore_hotplug on CM4
      (https://forums.raspberrypi.com/viewtopic.php?t=345362)
    - arm_dispmanx: Correct support for NV21, and add support for YV16
      (https://github.com/raspberrypi/firmware/issues/1767)
    - arm_dispmanx: Fix FKMS to adopt pre-multiplied alpha
      (https://github.com/raspberrypi/firmware/issues/1773)
  * New upstream wifi fixes
    - Pi Zero 2W stuttering sound over Bluetooth
      (https://github.com/RPi-Distro/firmware-nonfree/issues/33)
  * New upstream bluetooth firmware release, 1.2-4+rpt10

    [ Phil Elwell ]
    - 43455 firmware: Fix BLE advertising on new phones

 -- Dave Jones <dave.jones@canonical.com>  Tue, 07 Mar 2023 15:33:53 +0000

linux-firmware-raspi (8-0ubuntu1) lunar; urgency=medium

  * New upstream boot firmware, 1.20220331
    - Fixes issues with NVME boot (LP: #1993937, LP: #1989713)
  * New upstream wifi firmware, 20210315-3+rpt7

    [ Serge Schneider ]
    - Add update-alternatives for cyfmac43455-sdio.bin

    [ Phil Elwell ]
    - Add license from Synaptics
    - Update SYN43436P firmware
      - The shipping firmware for the SYN43436P does not support 4-way
        handshake offloading. This new firmware (version string "Version:
        9.88.4.77 CRC: 143f9f15 Date: Thu 2022-03-31 17:25:16 CST Ucode
        Ver: 1043.20743 FWID: 01-3b307371") fixes that.
    - Updated SYN43436S firmware
      - The embedded clm_blob in the previous SYN43436S firmware did not offer
        any channels when the country code was set to KR (Korea). This
        firmware fixes that.
      - Full version string:
        Version: 7.45.96.141 (g53ba0094) CRC: 6a9f22a0 Date: Tue 2022-07-05
        21:30:23 CST Ucode Ver: 1043.20739 FWID: 01-eef9b3bf

  * New upstream bluetooth firmware release

    [ Phil Elwell ]
    - This updated Bluetooth firmware contains Braktooth fixes for CYW43455,
      addressing the following vulnerabilities:
      CVE-2021-34145
      CVE-2021-34146
      CVE-2021-34147
      CVE-2021-34148
    - Add Synaptics firmware:
      SYN43430A1.hcd and SYN43430B0.hcd are firmwares for the two Zero 2 W
      variants.
    - Add board-specific links for the Zero 2 W firmwares

 -- Dave Jones <dave.jones@canonical.com>  Thu, 28 Jul 2022 13:50:22 +0100

linux-firmware-raspi (6-0ubuntu3) jammy; urgency=medium

  * d/linux-firmware-raspi.{preinst,postinst,postrm} Re-write diversion
    handling logic. The previous handling was neither idempotent nor did it
    gracefully handle failure scenarios (LP: #1961185)
  * d/diversions: Add diversions for bluez-firmware blobs (LP: #1962001)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 18 Feb 2022 00:49:24 +0000

linux-firmware-raspi (6-0ubuntu2) jammy; urgency=medium

  * d/control: Transitional package should be limited to armhf and arm64
    otherwise the amd64 package is uninstallable and fails to migrate

 -- Dave Jones <dave.jones@canonical.com>  Fri, 11 Feb 2022 11:47:14 +0000

linux-firmware-raspi (6-0ubuntu1) jammy; urgency=medium

  * Renamed package from linux-firmware-raspi2 (LP: #1950632)
  * New upstream boot firmware release, 1.20211118
  * New upstream wifi firmware release, 20210315-3+rpt4 (LP: #1950633)

    [ Phil Elwell ]
    - Add 43438 firmware 7.45.98.118 + external clm_blob
    - Add 43455 firmware 7.45.241 and clm_blob
    - Add "minimal" firmware for AP+STA mode
    - Add 43436S firmware
      - Future Zero 2 W boards will have an alternative version of 43436
        that should have different firmware, named brcmfmac43436s-sdio
    - Update the Cypress 43455 WLAN firmware to 7.45.241, and include the new
      clm_blob with all-zero regrevs (tried previously but with a bad blob)

  * Added diversions for new 43436s firmware (including overrides for any
    future external clm_blob)
  * Add autopkgtest for co-existence with linux-firmware (LP: #1927711)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 19 Oct 2021 13:19:08 +0100

linux-firmware-raspi2 (5-0ubuntu1) impish; urgency=medium

  * New upstream boot firmware release, 1.20210831
    - Contains workaround for compatibility with "full" KMS overlay on the
      Ubuntu Pi desktop (LP: #1944397)
  * Removed d/compat (replaced with debhelper-compat build-dep)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Sep 2021 21:04:23 +0100

linux-firmware-raspi2 (4-0ubuntu3) hirsute; urgency=medium

  * Add diversion for brcmfmac43430 clm_blob (LP: #1922257)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 16 Apr 2021 00:12:35 +0100

linux-firmware-raspi2 (4-0ubuntu2) hirsute; urgency=medium

  * Add aliases and diversions for brcmfmac43455 configuration on the
    Raspberry Pi Compute Module 4, and 400 (LP: #1912905)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 12 Mar 2021 15:03:37 +0000

linux-firmware-raspi2 (4-0ubuntu1) hirsute; urgency=medium

  * Added diversions for all wifi firmware blobs (LP: #1918013)
  * New upstream boot firmware release, 1.20210303
  * New upstream bluetooth firmware release, 1.2-4+rpt8

    [ Phil Elwell ]
    - Second Spectra fix for CYW43455 (CVE-2020-10370)
      - Original firmware name: BCM4345C0_003.001.025.0174.0342.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt11

    [ Serge Schneider ]
    - Update CYW43455 firmware
      - brcm/brcmfmac43455-sdio.bin 7.45.229
      - See: https://github.com/raspberrypi/linux/issues/3849

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Mar 2021 14:19:26 +0000

linux-firmware-raspi2 (3-0ubuntu2) hirsute; urgency=medium

  * Add wifi configuration file for CM4

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Jan 2021 16:21:28 +0000

linux-firmware-raspi2 (3-0ubuntu1) hirsute; urgency=medium

  * New upstream boot firmware release, 1.20210108
  * New upstream bluetooth firmware release, 1.2-4+rpt7

    [ Phil Elwell ]
    - Bug fix CYW43455 firmware
      - This update fixes the failure of CYW43455 to accept BLE connections.
      - Original firmware name: BCM4345C0_003.001.025.0171.0339.hcd
      - See: https://github.com/raspberrypi/linux/issues/3689

    [ Phil Elwell ]
    - Add BCM43430B0.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt10

    [ Phil Elwell ]
    - New clm_blob for BCM43456
      - An updated clm_blob to open up the 80MHz channels.
    - Use BCM43456 clm_blob on CYW43455
      - The previous CYW43455 clm_blob provides limited access to the higher
        5GHz channels (100+) - the BCM43456 (surprisingly) seems to work and
        doesn't have this problem.

    [ Phil Elwell ]
    - Add BCM43436 firmware
      - brcm/brcmfmac43436-sdio.bin 9.88.4.65
      - brcm/brcmfmac43436-sdio.clm_blob
      - brcm/brcmfmac43436-sdio.txt

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Jan 2021 15:38:07 +0000

linux-firmware-raspi2 (2-0ubuntu2) groovy; urgency=medium

  * Add extra copy of the BCM43456 wifi configuration

 -- Dave Jones <dave.jones@canonical.com>  Fri, 16 Oct 2020 10:34:13 +0100

linux-firmware-raspi2 (2-0ubuntu1) groovy; urgency=medium

  * Replace source tarballs from forked/merged RPi-Distro packages, to a
    3.0 quilt package that has empty orig tarball, and only includes the
    matching files shipped by the package, as component tarballs, without
    duplicating linux-firmware. See get-orig-source target. The resulting
    .deb is identical to the previous one, this only corrects the source
    package contents.
    Components are at:
     - boot - 1.20200902
     - bluez - c317a5c56847d18faf43e531f35c1661f1134046
     - nofree (wifi) - 98e815735e2c805d65994ccc608f399595b74438
  * Drop multiverse/ section for promotion to restricted.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Oct 2020 12:59:05 +0100

linux-firmware-raspi2 (1.20200902-0ubuntu1) groovy; urgency=medium

  * Replaced postinst with flash-kernel trigger (relates to LP: #1895137)
  * New upstream boot firmware release, 1.20200902
  * New upstream bluetooth firmware release, 1.2-4+rpt5

    [ Serge Schneider ]
    - This BCM43438 and BCM43455 Bluetooth firmware updates work around most
      of the report "Spectra" class of vulnerabilities. CVE-2020-10370 will be
      addressed in a follow-up release.
    - Add BCM4345C5.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt8

    [ Phil Elwell ]
    - Add BCM43456 firmware
      - brcm/brcmfmac43456-sdio.bin 7.84.17.1
      - brcm/brcmfmac43456-sdio.clm_blob
      - brcm/brcmfmac43456-sdio.txt

    [ Serge Schneider ]
    - Update brcmfmac43455-sdio.bin to 7.45.206

 -- Dave Jones <dave.jones@canonical.com>  Fri, 18 Sep 2020 17:24:45 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu3) groovy; urgency=medium

  * Rename BCM43456 configuration to include d-t compatible suffix

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Jul 2020 09:56:03 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu2) groovy; urgency=medium

  * Update bluez firmware to latest upstream version (1.2-4+rpt3)
    (LP: #1888211)
  * Change packaging to use multi-upstream tarballs
  * Add diversion for BCM43430 binary blob
  * Bumped compat to 11 and fixed dh_strip issue

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jul 2020 18:55:11 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu1) groovy; urgency=medium

  * New upstream release, 1.20200601+arm64

 -- Dave Jones <dave.jones@canonical.com>  Mon, 08 Jun 2020 11:24:11 +0000

linux-firmware-raspi2 (1.20200212-0ubuntu1) focal; urgency=medium

  * New upstream release, 1.20200212
  * Updated wifi firmware to support 802.11ac wifi (LP: #1862760)
  * Added diversions to override linux-firmware's versions of the wifi
    firmware (LP: #1862146)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 10 Mar 2020 11:46:49 +0000

linux-firmware-raspi2 (1.20190819-0ubuntu2) eoan; urgency=medium

  * Update brcm43455 blob to support wifi on Pi 4 (LP: #1847782)
  * Remove redundant Pi 3 wireless config (now part of linux-firmware)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 11 Oct 2019 10:58:51 +0100

linux-firmware-raspi2 (1.20190819-0ubuntu1) eoan; urgency=medium

  * Update to release 1.20190819 to enable Pi 4 boot (LP: #1847163)
  * Remove incorrect device_tree_address hack in postinst
  * Simplify copy of firmware to the boot partition in postinst

 -- Dave Jones <dave.jones@canonical.com>  Mon, 07 Oct 2019 22:24:41 +0100

linux-firmware-raspi2 (1.20190215-0ubuntu3) disco; urgency=medium

  * Updated d/copyright with comment about origin of bluetooth firmwares

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Apr 2019 21:19:08 +0000

linux-firmware-raspi2 (1.20190215-0ubuntu2) disco; urgency=medium

  * Added firmwares for Bluetooth on Raspberry Pi 3B and 3B+ (LP: #1824338)
  * Fixed decoding of wifi firmware blob in prior patch

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Apr 2019 12:07:10 +0000

linux-firmware-raspi2 (1.20190215-0ubuntu1) disco; urgency=medium

  * Update to release 1.20190215
  * New firmwares enable boot on Compute Module 3+

 -- Dave Jones <dave.jones@canonical.com>  Thu, 04 Apr 2019 14:27:52 +0000

linux-firmware-raspi2 (1.20180919-0ubuntu2) disco; urgency=medium

  * Do not install the kernel*.img binaries as they're not needed.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Jan 2019 10:14:03 +0100

linux-firmware-raspi2 (1.20180919-0ubuntu1) disco; urgency=medium

  * Update to release 1.20180919
  * Add debian/patches/brcm_firmware patch from raspi3-firmware as the newer
    upstream firmware tarballs do not include all the required files for WiFi
    to be active on the raspi3.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 17 Jan 2019 15:43:21 +0100

linux-firmware-raspi2 (1.20161020-0ubuntu1) zesty; urgency=medium

  * Update to release 1.20161020
  * Check that config.txt sets the $device_tree_address, or forcefully set it to 0x02000000
    (LP: #1636838)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Oct 2016 14:41:31 +0200

linux-firmware-raspi2 (1.20151118+b70b451-0ubuntu1) xenial; urgency=low

  * Switch package naming to fall into the linux-firmware-* hierachy.
  * Move to section multiverse/misc.
  * Update standards version to 3.9.7 no changes required.
  * Check that /boot/firmware is a mount point (or that we are in a chroot).
  * We do not need to install LICENCE.broadcom.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 20 Apr 2016 12:23:41 +0100

raspberrypi2-firmware (4.1.15-b70b451-0ubuntu1) xenial; urgency=medium

  * Initial upload to Ubuntu.
  * Add lintian overrides to suppress errors about known binary-only firmware.
  * Set upload component to restricted.
  * Fix inconsistency between upstream LICENSE file and debian/copyright.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Feb 2016 01:06:55 +0000

raspberrypi2-firmware (4.1.15-b70b451-1) xenial; urgency=medium

  * Update to version 4.1.15 @ b70b451

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 08 Jan 2016 10:53:53 +0100

raspberrypi2-firmware (4.1.10-ba7a8fb-1) wily; urgency=low

  * Initial import - https://github.com/raspberrypi/firmware / master @ ba7a8fb

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 19 Oct 2015 15:34:09 +0200
